aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--resources/libraries/bash/function/dpdk.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/resources/libraries/bash/function/dpdk.sh b/resources/libraries/bash/function/dpdk.sh
index 1654cf811b..4298e79e62 100644
--- a/resources/libraries/bash/function/dpdk.sh
+++ b/resources/libraries/bash/function/dpdk.sh
@@ -108,6 +108,12 @@ function dpdk_compile () {
sed -i "${sed_i40e}" "${sed_file}" || die "Patch failed"
+ sed_build_fix='s/#include <\(rte_ethdev.*.h\)>/#include "\1"/g'
+ # can't put the filename in quotes so that shell expands it
+ sed -i "${sed_build_fix}" ./lib/librte_ethdev/rte_ethdev*.h || {
+ die "DPDK build patch failed"
+ }
+
# Compile
make install T="${arch}"-"${machine}"-linuxapp-gcc -j || {
die "Failed to compile DPDK!"